package models

import (
	"github.com/slack-go/slack"
)

type PluginState interface {
	Name() string
	Initialize(*BotModel) error
	ProcessMessage(BotMessage) bool
	ProcessRTMEvent(*slack.RTMEvent) bool
	Run()
	Exit()
}
